Create a chat completion
curl --request POST \
--url https://api.astrolabe.run/v1/chat/completions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "astrolabe/coding",
"messages": [
{
"role": "user",
"content": "Explain this error."
}
],
"metadata": {
"astrolabe": {
"stack": "code-agent",
"quality": "high"
}
}
}
'import requests
url = "https://api.astrolabe.run/v1/chat/completions"
payload = {
"model": "astrolabe/coding",
"messages": [
{
"role": "user",
"content": "Explain this error."
}
],
"metadata": { "astrolabe": {
"stack": "code-agent",
"quality": "high"
} }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'astrolabe/coding',
messages: [{role: 'user', content: 'Explain this error.'}],
metadata: {astrolabe: {stack: 'code-agent', quality: 'high'}}
})
};
fetch('https://api.astrolabe.run/v1/chat/completions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "<string>",
"created": 123,
"model": "<string>",
"choices": [
{}
],
"usage": {},
"astrolabe": {}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": "<unknown>"
}
}Gateway endpoints
Chat Completions
Compatibility endpoint for OpenAI Chat Completions clients. Uses the same Cloud stack, billing, and trace runtime as /v1/responses.
POST
/
v1
/
chat
/
completions
Create a chat completion
POST /v1/chat/completions is the compatibility endpoint for clients that still use OpenAI Chat Completions.
It uses the same Cloud auth, stack resolution, routing, billing, fallback, verification, and trace runtime as /v1/responses.
Recommended request
{
"model": "astrolabe/coding",
"messages": [
{
"role": "user",
"content": "Explain this build failure in one paragraph."
}
],
"metadata": {
"astrolabe": {
"stack": "code-agent",
"quality": "high",
"fallback": true
}
}
}
Prefer Responses for new clients
Use/v1/responses for new integrations when your client supports it. Keep Chat Completions for existing libraries and compatibility paths.Authorizations
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I

